<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwTrending: Add To Tree Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwTrendingAddToTree.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      <p>This panel is used to add items to the Trend Tree. These items can be
        nodes to organise subelements and new or existing pages and plots..</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><p>Depending on how you load the panel, you will either
          be presented with options to:</p>
        <p>1) Create a new tree node</p>
        <p>In this mode, you should enter a name for the tree node in the &quot;Node
        Name&quot; field. This name is used in the tree to represent this node. The
        name must meet the requirements for valid data point names.</p>
        <p>2) Create a new plot/page in the tree</p>        
        <p>In this mode, you must first select whether you want to create a Trending
          Plot or a Trending Page. Next, you should enter a data point for this
          new item in the &quot;DP Name&quot; field. Finally, you should enter a name in
          the &quot;Name in tree&quot; field. This name is used to represent this new item
          in the Trending Tree. Both the data point name and name for the tree
          must meet the requirements for valid data point names.</p>
        <p>3) Add an existing plot/page in the tree</p>
        <p>In this mode, you must first select whether you want to add a Trending
        Plot or a Trending Page. Next, in the list below, you will see all the
          items of the selected type that are available to be added in the tree.
          Select the desired plot/page from this list. Finally, you should enter
          a name in the &quot;Name in tree&quot; field. This name is used to
          represent this existing item at this location in the Trending Tree.
          The name for use in the tree must meet the requirements
          for
          valid
          data
          point
          names.</p>
        <p>Once you have entered the necessary data, press OK to complete the
          action or press Cancel to close the panel without modifying the Trend
          Tree.</p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2">This panel just prepares the data to add the item in the
        tree. It does not actually carry out the action. That is done by the
        panel which calls this panel.
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table width="302" height="128" border="0" align="center">
  <tbody>
    <tr>
      <td height="122">
        <div align="center"><img
 src="fwTrendingAddToTree-Node.jpg" alt="Panel screenshot" width="407" height="353" style="width: 407px; height: 353px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table width="302" height="128" border="0" align="center">
  <tbody>
    <tr>
      <td height="122">
        <div align="center"><img
 src="fwTrendingAddToTree-New.jpg" alt="Panel screenshot" width="407" height="353" style="width: 407px; height: 353px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table width="302" height="128" border="0" align="center">
  <tbody>
    <tr>
      <td height="122">
        <div align="center"><img
 src="fwTrendingAddToTree-Existing.jpg" alt="Panel screenshot" width="407" height="353" style="width: 407px; height: 353px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>$2</td>
      <td>The name of the tree item below which the new item should be created
        (used for display only).</td>
      <td>Required</td>
    </tr>
    <tr>
      <td>$3</td>
      <td>A comma seperated list of data point types which can be added in the
        tree at this location.</td>
      <td>Required</td>
    </tr>
    <tr>
      <td>$4</td>
      <td>A comma seperated list of data point elements from which the proposed
        &quot;Name in tree&quot; should be read. For each entry in $3 there should be value
        in $4 saying which dpe to read for that dp type. Each entry should be
        in the following format &quot;DP&quot; followed by the data point element from
        which to read. In the case of the Trending Plot, the value reads &quot;DP.plotTitle&quot;.</td>
      <td>Required</td>
    </tr>
    <tr>
      <td>$mode</td>
      <td><p>Controls the mode in which the panel runs. Should be one of the
          following values:<br>&quot;addnode&quot;, &quot;addnew&quot; or &quot;addexisting&quot; (not
      case sensitive)</p></td>
      <td>Required</td>
    </tr>
  </tbody>
</table>
</body>
</html>
